> For the complete documentation index, see [llms.txt](https://docs.zofinance.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zofinance.io/building-on-zo/zo-sdk/common-operations.md).

# Common Operations

These operations work across all LP tokens (ZLP, SLP, USDZ).

### Data / read operations

Use the API or DataAPI; the methods are the same.

```typescript
const zlpMarket = await zlpAPI.valuateMarket()
const slpMarket = await slpAPI.getMarketInfo()
const vaultInfo = await usdzAPI.getVaultInfo('usdc')
const positionCaps = await zlpAPI.getPositionCapInfoList(ownerAddress)
const positions = await zlpAPI.getPositionInfoList(positionCaps, ownerAddress)
```

### Deposit

```typescript
const depositTx = await zlpAPI.deposit(
  'usdc',             // coin type
  ['coinObjectId'],   // coin object IDs
  1000000,            // amount
  0,                  // minimum amount out (optional)
  'referralAddress',  // optional referral
  'senderAddress'     // optional sender
)
const slpDepositTx = await slpAPI.deposit('usdc', ['coinObjectId'], 1000000)
const usdzDepositTx = await usdzAPI.deposit('usdc', ['coinObjectId'], 1000000)
```

### Withdraw

```typescript
const withdrawTx = await zlpAPI.withdraw(
  'usdc',
  ['lpCoinObjectId'],
  1000000,
  0
)
```

### Swap

```typescript
const swapTx = await zlpAPI.swap(
  'usdc',             // from token
  'sui',              // to token
  BigInt(1000000),    // amount
  ['coinObjectId']    // coin objects
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zofinance.io/building-on-zo/zo-sdk/common-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
